%define major 0.2
%define static 0
%define libname_orig lib%name
%define libname lib%name

Name: zvbi
Version: %major.24
Release: alt0.1

Summary: Raw VBI, Teletext and Closed Caption decoding library
Summary(ru_RU.KOI8-R):   VBI, Teletext  Closed Caption

License: GPL
Group: Video
Url: http://zapping.sourceforge.net/

Source: http://dl.sf.net/zapping/%name-%version.tar.bz2
Patch: %name-as-needed.patch

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: gettext >= 0.10.36

PreReq: /sbin/install-info

# Automatically added by buildreq on Sun Jul 02 2006
BuildRequires: doxygen gcc-c++ imake libpng-devel libXt-devel xorg-cf-files cvs

%if %static
BuildPreReq: glibc-devel-static
%endif

%description
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.

%package -n %libname
Summary: Raw VBI, Teletext and Closed Caption decoding library
Summary(ru_RU.KOI8-R):   VBI, Teletext  Closed Caption
Group: Video
Provides: %name
Obsoletes: %name
%description -n %libname
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.

%package -n %libname-devel
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %libname = %version
Provides: %libname_orig-devel = %version-%release
Provides: %name-devel
Obsoletes: %name-devel
%description -n %libname-devel
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)

%if %static
%package -n %libname-devel-static
Summary: Static library for developing apps which will use libzvbi
Group: Development/C
Requires: %libname = %version
Provides: %libname_orig-devel = %version-%release
Provides: %name-devel
Obsoletes: %name-devel
%description -n %libname-devel-static
Static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)
%endif

%prep
%setup -q
%patch

%build
%__autoreconf
%__subst 's,\.la\>,.so,' configure
# Note: static libs used in contrib builds (x11fonts)
%configure %{subst_enable static} --with-x

# gtkdoc fix:
#cp /usr/share/gtk-doc/gtkdoc-common.pl doc/
%make

%install
%makeinstall
%find_lang %name

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname -f %name.lang
%_bindir/zvbi*
%_sbindir/zvbi*
%doc AUTHORS NEWS README
%_libdir/libzvbi*.so.*
%_libdir/pkgconfig/zvbi*
%_man1dir/zvbi*

%files -n %libname-devel
%defattr(644,root,root,755)
%doc BUGS ChangeLog TODO doc/html
%_libdir/lib*.so
%_includedir/libzvbi.h

%if %static
%files -n %libname-devel-static
%_libdir/lib*.a
%endif

%changelog
* Sun Dec 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.24-alt0.1
- new version 0.2.24
- fix static build

* Sun Jul 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.2.22-alt0.1
- NMU: new version 0.2.22
- remove COPYING from docs

* Thu Jun 09 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.16-alt1
- 0.2.16

* Mon Jan 03 2005 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.11-alt1
- 0.2.11

* Sun Jul 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.8-alt1.1
- locale files is moved to libzvbi package (bug #4453)
- libunicode require dropped (it is obsoleted from 2002-06-08)

* Tue Jun 01 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.8-alt1
- 0.2.8

* Fri Dec 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.5-alt2
- building without *.la

* Wed Nov 05 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.5-alt1
- 0.2.5
- new buildrequires and rebuilding in hasher

* Mon Feb 03 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 0.2.2-alt1
- first build for ALT

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- new release
- moves translations to zvbi package

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.1-2mdk
- BuildRequires

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- initial release
